Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #255 (closed defect: fixed)

Opened 14 years ago

Last modified 13 years ago

station mode not working

Reported by: ksh@ironsoftware.de Assigned to:
Priority: critical Milestone:
Component: madwifi: driver Version: trunk
Keywords: station mode. Cc:
Patch is attached: 0 Pending:

Description (Last modified by mrenzmann)

old driver works:

ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.14.9 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413)
wlan: 0.8.6.0 (EXPERIMENTAL)
ath_rate_sample: 1.2
ath_pci: 0.9.6.0 (EXPERIMENTAL)
Build date: Nov 10 2005

-ng- trunk: somehow i cant connect to _any_ accesspoint using station mode. I even had to specifiy the channel and the card wont set the ap. Maybe due to the usage of 2 cards.

Change History

12/27/05 14:21:00 changed by mrenzmann

  • description changed.

Please be more specific. What steps did you perform to try to get the client connecting to the AP(s)? What is the configuration of the AP(s) (type of encryption, is there a MAC access control set up, hidden SSID, things like that)? What revision of madwifi-ng did you use in your experiments?

01/20/06 02:21:46 changed by brightside

I have also experienced this problem on my Gentoo system. Madwifi shapshot was 0.1401.20060117. After creating the ath0 device from wifi0, iwconfig lists ath0 as unassociated and trying to scan for APs gives me the message "No access points in range". Setting SSID manually has no effect.

AP configuration has no encryption, no MAC access control, broadcasting SSID and running DHCP (not very wise settings I know, but everything is temporary turned everything off while troubleshooting the network)

01/20/06 02:47:11 changed by brightside

After doing some further reading, I have discovered the source of all my troubles was because the wlan_scan_sta module was not loaded. After modprobing it, everything is now functioning perfectly.

01/22/06 10:04:41 changed by mrenzmann

Following the description this ticket is related to #94. That ticket has a patch applied which provides a possible solution. Could you please give it a try?

04/21/06 08:54:10 changed by anonymous

  • patch_attached changed.

Same problem here on archlinux with -ng version. I'm using madwifi-old (snapshot 01-28-2006) which works fine here.

I've tried the following to get my ap running on the -ng version: modprobe ath_pci modprobe ath_hal modprobe wlan wlanconfig ath0 destroy wlanconfig ath0 create wlandev wifi0 wlanmode sta // i know, unnecessary basically, but i gave it a shot ifconfig ath0 up wlanconfig ath0 list scan // did not give any result ifconfig ath0 ap <ap-mac> iwconfig ath0 essid gnet iwconfig ath0 key <encryptionkey>

doesn't work at all... as if no access point was found. I hope that will be fixed before madwifi-old won't work any longer with new kernel versions.

04/24/06 07:47:17 changed by dyqith

Any updates on this with the latest revision ?

04/28/06 02:08:44 changed by dyqith

Make sure all the following modules are loaded:

ath_pci.o wlan.o wlan_scan_sta.o ath_hal.o ath_rate_sample.o

05/10/06 05:59:55 changed by dyqith

ping ? updates ?

05/15/06 02:51:08 changed by anonymous

I'm having the same issue. I can't connect to my ap. I am able to scan and see the access points listed, but I'm unable to connect. I'll be happy to provide you with any debug output you may need. You can email me at ericrickerson at yahoo.

modules: ath_pci 98468 0 ath_rate_sample 13312 1 ath_pci ath_hal 189520 3 ath_pci,ath_rate_sample wlan 201820 5 wlan_scan_sta,ath_pci,ath_rate_sample,wlan_scan_ap

Linux tuxmobile 2.6.14-gentoo-r2 #7 PREEMPT Sun Jan 22 05:31:34 EST 2006 i686 Intel(R) Celeron(R) M processor 1400MHz GNU/Linux

05/15/06 06:18:54 changed by dyqith

@above post:

What AP do you have ? Place your client about 5 feet from the AP (to get better signal quality).

What you should try is the following:

  1. Make sure the AP is not MAC authenticated and is open (no encryption) and set the essid and chan
  2. Reboot the client
  3. Make sure "ifconfig -a" or "iwconfig" shows "wifi0", create the managed (STA) VAP.
  4. 80211debug +assoc +auth +dumppkts
  5. Set your mode (iwpriv ath0 mode ), essid, channel
  6. ifconfig ath0 up
  7. check iwconfig to see if ath0 is associated.
  8. If not, post your log (usually seen in dmesg or /var/log/message, or on your console)

09/03/06 20:23:46 changed by dyqith

  • status changed from new to closed.
  • resolution set to fixed.

Closing ticket, seems like the users found that some of the modules weren't loaded. Also, its been 8 months!